rflex_config_t Struct Reference

## Public Attributes

char | serial_port [256]
double | m_length
double | m_width
double | odo_distance_conversion
double | odo_angle_conversion
double | range_distance_conversion
double | mPsec2_trans_acceleration
double | radPsec2_rot_acceleration
int | heading_home_address
bool | home_on_start
bool | use_joystick
double | joy_pos_ratio
double | joy_ang_ratio
int | max_num_sonars
int | num_sonars
int | sonar_age
int | num_sonar_banks
int | num_sonars_possible_per_bank
int * | num_sonars_in_bank
player_pose3d_t * | mrad_sonar_poses
long | sonar_echo_delay
long | sonar_ping_delay
long | sonar_set_delay
long | sonar_2nd_bank_start
long | sonar_1st_bank_end
long | sonar_max_range
unsigned short | bumper_count
int | bumper_address
int | bumper_style
| bumper bit style
player_bumper_define_t * | bumper_def
float | power_offset
player_ir_pose_t | ir_poses
int | ir_base_bank
int | ir_bank_count
int | ir_total_count
int * | ir_count
double * | ir_a
double * | ir_b
float | ir_min_range
float | ir_max_range

The documentation for this struct was generated from the following file:

- rflex_configs.h

Last updated 12 September 2005 21:38:45